// custom variables and override bootstrap variables

$body-bg: #fff;

$white:  #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #868e96 !default;
$gray-700: #495057 !default;
$gray-800: #31353e;
$gray-900: #191b29;
$black:  #000 !default;

$blue:    #007bff !default;
$indigo:  #6610f2 !default;
$purple:  #6f42c1 !default;
$pink:    #e83e8c !default;
$red:     #dd4b2b;
$orange:  #fd7e14 !default;
$yellow:  #ffc107 !default;
$green:   #28a745 !default;
$teal:    #20c997 !default;
$cyan:    #17a2b8 !default;


$colors: () !default;
$colors: map-merge((
  "blue":       $blue,
  "indigo":     $indigo,
  "purple":     $purple,
  "pink":       $pink,
  "red":        $red,
  "orange":     $orange,
  "yellow":     $yellow,
  "green":      $green,
  "teal":       $teal,
  "cyan":       $cyan,
  "white":      $white,
  "gray":       $gray-600,
  "gray-dark":  $gray-800
), $colors);

$primary:       $blue !default;
$secondary:     $gray-600 !default;
$success:       $green !default;
$info:          $cyan !default;
$warning:       $yellow !default;
$danger:        $red !default;
$light:         $gray-100 !default;
$dark:          $gray-800 !default;

$theme-colors: () !default;
$theme-colors: map-merge((
  "primary":    $primary,
  "secondary":  $secondary,
  "success":    $success,
  "info":       $info,
  "warning":    $warning,
  "danger":     $danger,
  "light":      $light,
  "dark":       $dark
), $theme-colors);

$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge((
	0: 0,
	1: ($spacer * .25),
	2: ($spacer * .5),
	3: $spacer,
	4: ($spacer * 1.5),
	5: ($spacer * 3),
	6: ($spacer * 4.5),
	7: ($spacer * 6),
	8: ($spacer * 7.5),
	9: ($spacer * 9),
	10: ($spacer * 10.5)
), $spacers);

$base-min-width: 320px;

// This is the default html and body font-size for the base rem value.
$rem-base: 16px;

$font-family-sans-serif:      "Roboto Slab", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
$font-family-base:            $font-family-sans-serif;
$font-weight-base:            300;
$font-family-segoe:  "Segoe UI",  -apple-system, BlinkMacSystemFont, Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

// stylelint-enable value-keyword-case

$line-height-base:            2;

$h1-font-size:               36px;
$h2-font-size:               25px;
$h3-font-size:               21px;
$font-size-base:             0.9375rem;

$headings-font-weight:        700;

$body-bg:                   #edeff1;
$body-color:                $gray-800;

$link-color:                              #612316;
$link-hover-color:                        $link-color;

$btn-padding-y:              12px;
$btn-padding-x:              60px;
$btn-font-size:               18px;


$btn-box-shadow:              0;
$btn-focus-width:             0;
$btn-focus-box-shadow:        0;
$btn-active-box-shadow:       0;

// Allows for customizing button radius independently from global border radius
$btn-border-radius:           26px;

// Forms

$input-padding-y:                       12px;
$input-padding-x:                       35px;
$input-font-size:                       18px;
$input-font-weight:                     400;

$input-bg:                              transparent;

$input-color:                           #f3f4f6;
$input-border-color:                    #c6c7c9;
$input-border-width:                    1px;
$input-box-shadow:                      0;

$input-border-radius:                   24px;

$input-focus-bg:                        none;
$input-focus-border-color:              none;
$input-focus-color:                     #c6c7c9;
$input-focus-width:                     0;
$input-focus-box-shadow:                0;

$input-placeholder-color:               #f3f4f6;
$input-plaintext-color:                 $white;

